using SportsDivision.Domain.Entities;
using SportsDivision.Domain.Enums;

namespace SportsDivision.Domain.Interfaces;

public interface IEventLevelRepository : IRepository<EventLevel>
{
    Task<IEnumerable<EventLevel>> GetBySchoolLevelAsync(SchoolLevel level);
    Task<IEnumerable<EventLevel>> GetBySexAsync(Sex sex);
}
